> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openfda/drug/labels

> Get an FDA drug product label (SPL) by its SPL document id or SPL set id

**Price:** 1 credit

**⚠️ Common errors:** 412: Drug label not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/openfda/drug/labels
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openfda/drug/labels:
    post:
      tags:
        - /openfda/drug
      summary: /openfda/drug/labels
      description: |-
        Get an FDA drug product label (SPL) by its SPL document id or SPL set id

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Drug label not found
      operationId: __api_openfda_drug_labels_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenfdaDrugLabelsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenfdaDrugLabel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenfdaDrugLabelsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        id:
          type: string
          minLength: 1
      type: object
      required:
        - id
    OpenfdaDrugLabel:
      properties:
        '@type':
          type: string
          default: OpenfdaDrugLabel
        id:
          type: string
        set_id:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: string
            - type: 'null'
        effective_at:
          anyOf:
            - type: integer
            - type: 'null'
        indications_and_usage:
          items:
            type: string
          type: array
          default: []
        boxed_warning:
          items:
            type: string
          type: array
          default: []
        warnings:
          items:
            type: string
          type: array
          default: []
        warnings_and_cautions:
          items:
            type: string
          type: array
          default: []
        dosage_and_administration:
          items:
            type: string
          type: array
          default: []
        contraindications:
          items:
            type: string
          type: array
          default: []
        adverse_reactions:
          items:
            type: string
          type: array
          default: []
        drug_interactions:
          items:
            type: string
          type: array
          default: []
        active_ingredient:
          items:
            type: string
          type: array
          default: []
        inactive_ingredient:
          items:
            type: string
          type: array
          default: []
        purpose:
          items:
            type: string
          type: array
          default: []
        clinical_pharmacology:
          items:
            type: string
          type: array
          default: []
        mechanism_of_action:
          items:
            type: string
          type: array
          default: []
        precautions:
          items:
            type: string
          type: array
          default: []
        general_precautions:
          items:
            type: string
          type: array
          default: []
        overdosage:
          items:
            type: string
          type: array
          default: []
        do_not_use:
          items:
            type: string
          type: array
          default: []
        ask_doctor:
          items:
            type: string
          type: array
          default: []
        when_using:
          items:
            type: string
          type: array
          default: []
        stop_use:
          items:
            type: string
          type: array
          default: []
        pregnancy:
          items:
            type: string
          type: array
          default: []
        pregnancy_or_breast_feeding:
          items:
            type: string
          type: array
          default: []
        nursing_mothers:
          items:
            type: string
          type: array
          default: []
        pediatric_use:
          items:
            type: string
          type: array
          default: []
        geriatric_use:
          items:
            type: string
          type: array
          default: []
        information_for_patients:
          items:
            type: string
          type: array
          default: []
        clinical_studies:
          items:
            type: string
          type: array
          default: []
        how_supplied:
          items:
            type: string
          type: array
          default: []
        keep_out_of_reach_of_children:
          items:
            type: string
          type: array
          default: []
        storage_and_handling:
          items:
            type: string
          type: array
          default: []
        questions:
          items:
            type: string
          type: array
          default: []
        spl_product_data_elements:
          items:
            type: string
          type: array
          default: []
        package_label_principal_display_panel:
          items:
            type: string
          type: array
          default: []
        openfda:
          anyOf:
            - $ref: '#/components/schemas/OpenfdaBlock'
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenfdaBlock:
      properties:
        '@type':
          type: string
          default: OpenfdaBlock
        application_number:
          items:
            type: string
          type: array
          default: []
        brand_name:
          items:
            type: string
          type: array
          default: []
        generic_name:
          items:
            type: string
          type: array
          default: []
        manufacturer_name:
          items:
            type: string
          type: array
          default: []
        product_ndc:
          items:
            type: string
          type: array
          default: []
        package_ndc:
          items:
            type: string
          type: array
          default: []
        product_type:
          items:
            type: string
          type: array
          default: []
        route:
          items:
            type: string
          type: array
          default: []
        substance_name:
          items:
            type: string
          type: array
          default: []
        rxcui:
          items:
            type: string
          type: array
          default: []
        unii:
          items:
            type: string
          type: array
          default: []
        spl_id:
          items:
            type: string
          type: array
          default: []
        spl_set_id:
          items:
            type: string
          type: array
          default: []
        nui:
          items:
            type: string
          type: array
          default: []
        pharm_class_cs:
          items:
            type: string
          type: array
          default: []
        pharm_class_epc:
          items:
            type: string
          type: array
          default: []
        pharm_class_moa:
          items:
            type: string
          type: array
          default: []
        pharm_class_pe:
          items:
            type: string
          type: array
          default: []
        is_original_packager:
          items:
            type: string
          type: array
          default: []
        device_class:
          anyOf:
            - type: string
            - type: 'null'
        device_name:
          anyOf:
            - type: string
            - type: 'null'
        medical_specialty_description:
          anyOf:
            - type: string
            - type: 'null'
        regulation_number:
          anyOf:
            - type: string
            - type: 'null'
        fei_number:
          items:
            type: string
          type: array
          default: []
        registration_number:
          items:
            type: string
          type: array
          default: []
        k_number:
          items:
            type: string
          type: array
          default: []
        pma_number:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````